var e = require("../../common/vendor.js"),
  t = require("../../hooks/onMounted.js"),
  n = require("../../hooks/onShareAppMessage.js"),
  r = require("../../service/index.js"),
  i = require("../../constant/index.js"),
  u = require("../../utils/util.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../config/index.js"),
  require("../../utils/request.js"),
  Math || (e.unref(a) + e.unref(s) + e.unref(o) + e.unref(v))();
var a = function () {
    return "../../components/vehicle-number/index.js";
  },
  o = function () {
    return "../../components/empty/index.js";
  },
  s = function () {
    return "../../components/divider/index.js";
  },
  v = function () {
    return "../../components/float-share/index.js";
  },
  l = {
    __name: "index",
    setup: function (a) {
      var o = e.ref(!0),
        s = e.ref(!1),
        v = e.ref({}),
        l = function () {
          e.index.setClipboardData({ data: v.value.vin }).then(function () {
            u.showToast("VIN车架号已复制");
          });
        };
      return (
        t.onMounted(function (t) {
          var n = t.order_no,
            a = t.product_id;
          u.showLoading("努力查询中"),
            r
              .getReportDetail({ order_no: n, product_id: a })
              .then(function (t) {
                var n = e._.find(i.vehicleTypeList, function (e) {
                  return e.value == t.type;
                });
                (t.type = n ? n.text : "-"),
                  (v.value = t),
                  (o.value = !1),
                  u.hideLoading();
              });
        }, !1),
        n.onShareAppMessage(),
        function (t, n) {
          return e.e(
            { a: !o.value },
            o.value
              ? {}
              : e.e(
                  { b: !s.value },
                  s.value
                    ? {}
                    : e.e(
                        { c: v.value.info },
                        v.value.info
                          ? {
                              d: e.t(v.value.vin),
                              e: e.o(l),
                              f: e.t(v.value.info || "-"),
                              g: e.t(v.value.create_time || "-"),
                            }
                          : {},
                        { h: !v.value.info },
                        v.value.info
                          ? {}
                          : e.e(
                              {
                                i: e.t(v.value.name.trim() || "-"),
                                j: e.t(v.value.code.trim() || "-"),
                                k: e.t(v.value.no.trim() || "-"),
                                l: e.t(v.value.start_time.trim() || "-"),
                                m: e.t(v.value.end_time.trim() || "-"),
                                n: !!v.value.cph.trim(),
                              },
                              v.value.cph.trim()
                                ? { o: e.p({ data: v.value.cph.trim() }) }
                                : {},
                              {
                                p: e.t(v.value.type.trim() || "-"),
                                q: e.t(v.value.vin),
                                r: e.o(l),
                                s: e.t(v.value.engine_no.trim() || "-"),
                                t: e.t(v.value.area.trim() || "-"),
                                v: e.t(v.value.create_time || "-"),
                              }
                            ),
                        { w: e.t(e.unref(i.disclaimer)) }
                      ),
                  { x: s.value },
                  s.value ? { y: e.p({ info: "抱歉~！没有查到数据哦" }) } : {}
                )
          );
        }
      );
    },
  },
  d = e._export_sfc(l, [["__scopeId", "data-v-a38072eb"]]);
(l.__runtimeHooks = 2), wx.createPage(d);
